#define VIDEO_IO   0x10
#define CUR_POS    2
#define SCROLL_UP  6
#define NUMSPACES  68

typedef enum Boolean {
	FALSE,
	TRUE,
} BOOLEAN;

typedef struct Process {
	char Item[3];
	char Message[60];
   int (*Execute)(void);
} PROCESS;	

void GoToRC(unsigned Row, unsigned Col);
void ClearArea(unsigned Row,unsigned Col,unsigned NumRows,unsigned NumCols);
void DrawBox(unsigned Row,unsigned Col,unsigned NumRows,unsigned NumCols,char *Title);
void PrintText(unsigned Row,unsigned Col,char *Text);
void CenterText(unsigned Row,unsigned Col, unsigned Cols,char *Text);
char *GetString(unsigned Row,unsigned Col,unsigned Length,char *String,BOOLEAN UpperCase);
int ValidEvent(char *Choice);
void PrintFText(BOOLEAN GetChar,unsigned Row,unsigned Col, char *PrintFormat, ...);
void UpdateParadoxInfo(BOOLEAN UseInfo);
void DisplayRecord(VLIBTABLEENTRY *Record);
void ClearRecord(void);
void ClearMessageArea(void);
int EditRec(VLIBTABLEENTRY *Record,BOOLEAN EditOnly);
int SrchRec(VLIBTABLEENTRY *Record,BOOLEAN KeyOrFld);
int VLIBError1(int ErrCode);

int AddRecord(void);
int CloseFile(void);
int SearchFFirst(void);
int DecryptFile(void);
int DeleteRecord(void);
int DeleteFile(void);
int EditRecord(void);
int FirstRecord(void);
int GotoRecord(void);
int LastRecord(void);
int MergeFile(void);
int EncryptFile(void);
int NextRecord(void);
int OpenFile(void);
int PreviousRecord(void);
int Quit(void);
int RenameFile(void);
int SearchFNext(void);
int SearchKFirst(void);
int SearchKNext(void);
int CreateFile(void);
int EmptyFile(void);
int CopyFile(void);
